"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.preventDefault = void 0;
/**
 * Takes events and calls their `.preventDefault()` method.
 *
 * @param event - The event instance to call the method on.
 * @example
 *
 * ```typescript
 * declare const event: Event
 * preventDefault(event)
 * ```
 */
function preventDefault(event) {
    event.preventDefault();
}
exports.preventDefault = preventDefault;
